org.apache.flume.channel.file.encryption

## Class KeyProvider

- java.lang.Object
- - org.apache.flume.channel.file.encryption.KeyProvider

- Direct Known Subclasses:
    JCEFileKeyProvider

      public abstract class KeyProvider
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `KeyProvider.Builder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Key` | `getKey(String alias)` Returns a non-null Key

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyProvider

          public KeyProvider()

  - ### Method Detail

    - #### getKey

          public abstract Key getKey(String alias)

      Returns a non-null Key

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.